﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Infragistics.Controls.Editors;

namespace TestApp
{
    public partial class XText : UserControl
    {
        public XText()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(XText_Loaded);
        }

        void XText_Loaded(object sender, RoutedEventArgs e)
        {
            this.MyNumericEditor.SetBinding(XamNumericEditor.ValueProperty,
                new Binding()
                {
                    Source = this,
                    Path = new PropertyPath("MyText"),
                    Mode = BindingMode.TwoWay
                });
        }

        public double MyText
        {
            get { return (double)GetValue(MyTextProperty); }
            set { SetValue(MyTextProperty, value); }
        }

        public static readonly DependencyProperty MyTextProperty =
            DependencyProperty.Register(
            "MyText", typeof(double), typeof(XText), new PropertyMetadata(null));
    }
}
